Bug 1875628 - mon: only take "in osds" into consideration when trimming osdmaps
Summary: mon: only take "in osds" into consideration when trimming osdmaps
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 4.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.2
Assignee: Kefu Chai
QA Contact: Pawan
Ranjini M N
URL:
Whiteboard:
Depends On:
Blocks: 1890121
TreeView+ depends on / blocked
 
Reported: 2020-09-03 22:42 UTC by Neha Ojha
Modified: 2021-06-09 16:16 UTC (History)
14 users (show)

Fixed In Version: ceph-14.2.11-23.el8cp, ceph-14.2.11-23.el7cp
Doc Type: Bug Fix
Doc Text:
.Monitor trims osdmaps appropriately Previously, the monitor failed to trim stale osdmaps although they were used by “out” OSDs because the monitor considered both “in“ and “out” OSDs when trimming osdmaps. With this release, the “out” OSDs are not considered and the osdsmaps are trimmed appropriately.
Clone Of:
Environment:
Last Closed: 2021-01-12 14:56:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Ceph Project Bug Tracker 47290 0 None None None 2020-09-03 22:43:08 UTC
Github ceph ceph pull 36982 0 None closed nautilus: mon/OSDMonitor: only take in osd into consideration when trimming osdmaps 2021-01-08 05:48:13 UTC
Red Hat Product Errata RHSA-2021:0081 0 None None None 2021-01-12 14:57:12 UTC

Description Neha Ojha 2020-09-03 22:42:26 UTC
Fixes a bug in https://bugzilla.redhat.com/show_bug.cgi?id=1829646

Comment 19 errata-xmlrpc 2021-01-12 14:56:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Red Hat Ceph Storage 4.2 Security and Bug Fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0081


Note You need to log in before you can comment on or make changes to this bug.